std::copy_constructible(3cxx)

NAME
std::copy_constructible - [concept.copyconstructible], concept copy_constructible

SYNOPSIS

#include <concepts>

Concept definition

template<typename _Tp>
concept std::copy_constructible =  move_constructible<_Tp>
      && constructible_from<_Tp, _Tp&> && convertible_to<_Tp&, _Tp>
      && constructible_from<_Tp, const _Tp&> && convertible_to<const _Tp&, _Tp>
      && constructible_from<_Tp, const _Tp> && convertible_to<const _Tp, _Tp>

Detailed Description

[concept.copyconstructible], concept copy_constructible

Author

Generated automatically by Doxygen for libstdc++ from the source code.